/*  This file is part of the KDE project
    Copyright (C) 2004 Matthias Kretz <kretz@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

*/

#ifndef VOLUMECONTROLD_H
#define VOLUMECONTROLD_H

#include <kded/kdedmodule.h>
#include <qstringlist.h>

class VolumeControlD : public KDEDModule
{
	Q_OBJECT
	K_DCOP
	public:
		VolumeControlD(const QCString &name);
		virtual ~VolumeControlD();

	k_dcop:
		// think of some better API here...
		QStringList availableChannels() const;
		QStringList openConnectionsToChannel( const QString & channel ) const;
		float volume( const QString & connection, const QString & channel ) const;
		void setVolume( const QString & connection, const QString & channel, float volume );

	private slots:
		/**
		 * When an app with a registered Channel goes down we want to notice...
		 */
		void applicationRemoved( const QCString & );

	private:
		class Private;
		Private * d;
};

// vim: sw=4 ts=4 tw=80 noet
#endif // VOLUMECONTROLD_H
